  beats_heartbeat:
    container_name: ${COMPOSE_PROJECT_NAME:-default}-beats_heartbeat
    build:
      context: ./beats_heartbeat/
      args:
        LINUX_ROOT_PASSWORD: ${LINUX_ROOT_PASSWORD}
    working_dir: /
    entrypoint: /usr/bin/env
    command: cmd_master.sh
    depends_on:
      - elasticsearch
    volumes:
      - ./volumes-common/file/etc/rsyslog.conf:/etc/rsyslog.conf
      - ./beats_heartbeat/volumes/file/root/.bash_history:/root/.bash_history
      - ./beats_heartbeat/volumes/file/etc/supervisor/conf.d/supervisord.conf:/etc/supervisor/conf.d/supervisord.conf
      - ./beats_heartbeat/volumes/file/etc/heartbeat/heartbeat.yml:/etc/heartbeat/heartbeat.yml
      - ./beats_heartbeat/volumes/file/usr/local/bin/cmd_master.sh:/usr/local/bin/cmd_master.sh
      - ./beats_heartbeat/volumes/file/usr/local/bin/service_reinitialize.sh:/usr/local/bin/service_reinitialize.sh
      - ./beats_heartbeat/volumes/file/usr/local/bin/service_start.sh:/usr/local/bin/service_start.sh
    networks:
      savemetenminutes-default:
        ipv4_address: ${NETWORK_SUBNET_FIRST_AND_SECOND_OCTETS:-222.222}.${NETWORK_SUBNET_THIRD_OCTET:-222}.158
        aliases:
          - beats_heartbeat.${COMPOSE_PROJECT_NAME:-default}
    ports:
      - "15801:9001"
      - "15822:22"
    expose:
      - "9001"
      - "22"
